//
//  AppDelegate.m
//  LongRange2DDemo
//
//  Created by mac on 2018/12/24.
//  Copyright © 2018年 zyl. All rights reserved.
//

#import "AppDelegate.h"
#import "SystemSetting.h"

@interface AppDelegate ()

@end

@implementation AppDelegate{
    SystemSetting * systemSetting;
}


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    systemSetting = [SystemSetting sharedSystemSetting];
    if (![systemSetting getNotFirstUsed]) {
        [systemSetting setNotFirstUsed:YES];
        [systemSetting setBeep:2];
        [systemSetting setVibrator:1];
        [systemSetting setSleepTime:300];
        [systemSetting setAutoOffTime:300];
        [systemSetting setBatteryInterval:@"10"];
        [systemSetting setBarcodeParamData:nil];
    }
    // Override point for customization after application launch.
//    [self redirectConsoleLogToDocumentFolder:@"log.txt"];
//    [self removeLogFile];
//    [self redirectNSLogToDocumentFolder];
    return YES;
}


- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
}


- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}


- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the active state; here you can undo many of the changes made on entering the background.
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}


- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
    // Saves changes in the application's managed object context before the application terminates.
}


- (void)redirectNSLogToDocumentFolder{
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *fileName =[NSString stringWithFormat:@"%@.txt",@"writelog"];
    NSString *logFilePath = [documentsDirectory stringByAppendingPathComponent:fileName];
    freopen([logFilePath cStringUsingEncoding:NSASCIIStringEncoding],"a+",stderr);
}

- (void) removeLogFile{
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory,NSUserDomainMask, YES);
    NSString *documentsDirectory = [paths objectAtIndex:0];
    NSString *fileName =[NSString stringWithFormat:@"%@.txt",@"writelog"];
    NSString *logFilePath = [documentsDirectory stringByAppendingPathComponent:fileName];
    float logSize = 0;
    NSFileManager* manager = [NSFileManager defaultManager];
    if ([manager fileExistsAtPath:logFilePath]){
        logSize = [[manager attributesOfItemAtPath:logFilePath error:nil] fileSize]/(1024.0*1024);
    }
    if (logSize >= 1 ) {
        if ([[NSFileManager defaultManager] fileExistsAtPath:logFilePath]) {
            [[NSFileManager defaultManager] removeItemAtPath:logFilePath error:nil];
        }
    }
}
- (void) redirectConsoleLogToDocumentFolder:(NSString*)filename
{
    NSArray *paths
    = NSSearchPathForDirectoriesInDomains
    (NSDocumentDirectory,
     NSUserDomainMask, YES);

    NSString *documentsDirectory
    = [paths objectAtIndex:0];

    NSString *logPath
    = [documentsDirectory stringByAppendingPathComponent:filename];

    freopen([logPath cStringUsingEncoding:NSASCIIStringEncoding], "w",stderr);
}
@end
