//
//  XMLHandler.h
//  AsCameraScan
//
// Created by Asterisk.Inc on 2018/4/27.
// Copyright © 2018年 Asterisk.Inc. All rights reserved.
//

#import <Foundation/Foundation.h>
@protocol XMLHandlerDelegate  <NSObject>
-(void)xmlDataDidEndDocument:(NSArray *)xmlElements;
@end
@interface XMLHandler : NSObject<NSXMLParserDelegate>
@property (nonatomic, weak) id<XMLHandlerDelegate>  delegate;
+ (XMLHandler *)sharedAsRingHandler;
-(void)getFirmwareInfoWithURL:(NSURL *)url;
@end
