//
//  SystemSetting.h
//  AsReaderLR
//
//  Created by mac on 2017/8/7.
//  Copyright © 2017年 asterisk. All rights reserved.
//

#import <Foundation/Foundation.h>
#define DEFAULT_BATTERY_INTERVAL @"10"
@interface SystemSetting : NSObject

+ (SystemSetting *)sharedSystemSetting;

- (void)setNotFirstUsed:(BOOL)isFirst;
- (BOOL)getNotFirstUsed;

- (void)setBarcodeReScanTime:(int)barcodeReScanTime;
- (int)getBarcodeReScanTime;

- (void)setBeepTime:(int)beepTime;
- (int)getBeepTime;

- (void)setVibratorTime:(int)vibratorTime;
- (int)getVibratorTime;

- (void)setBeep:(int)beepType;
- (int)getBeep;

- (void)setVibrator:(int)vibratorType;
- (int)getVibrator;


- (void)setSleepTime:(int)sleepTimeValue;
- (int)getSleepTime;

- (void)setBarcodeData:(NSArray *)barcodeData;
- (NSArray *)getBarcodeData;

- (void)setMapTags:(NSDictionary *)mapTags;
- (NSDictionary *)getMapTags;

- (void)setBarcodeParamData:(NSArray *)barcodeParamData;
- (NSArray *)getBarcodeParamData;

- (void)setBatteryInterval:(NSString *)batteryInterval;
- (NSString *)getBatteryInterval;

- (void)setScannerTiemOut:(int)scannerTiemOutValue;
- (int)getScannerTimeOut;

- (void)setAutoOffTime:(int)autoOffTime;
- (int)getAotuOffTime;

- (void)setDecodingIndex:(NSInteger)index;
- (NSInteger)getDecodingIndex;

- (void)setCenterDecoding:(BOOL)centerDecoding;
- (BOOL)getCenterDecoding;

- (BOOL)canUseCenterDecoding:(NSString *)firmwareVersion;

- (BOOL)canUpdataFirmware:(NSString *)firmwareVersion;

- (BOOL)needUpdateFirmwareVersion:(NSString *)firmwareVersion;
@end
