//
//  FirmwareUpdateManager.h
//  LongRange2DDemo
//
//  Created by mac on 2020/10/28.
//  Copyright © 2020 zyl. All rights reserved.
//
#import <Foundation/Foundation.h>
#import "LongRange2DManager.h"
typedef NS_ENUM(NSUInteger, LongRange2DFirmwarePropertyType) {
    LongRange2DFirmwarePropertyTypeGet = 0x52,        // 'R'
    LongRange2DFirmwarePropertyTypeSet = 0x57,        // 'W'
};

typedef NS_ENUM(char , LongRange2DFirmwareType) {
    LongRange2DFirmwareTypeAddress   = 0x61,         // 'a'
    LongRange2DFirmwareTypeInfo      = 0x69,         // 'i'
    LongRange2DFirmwareTypePicket    = 0x66,         // 'f'
    LongRange2DFirmwareTypePicketEND = 0x64,         // 'd'
};
@interface FirmwareUpdateManager : NSObject
+ (FirmwareUpdateManager *)sharedFirmwareUpdateManager;

- (void)updateFirmwareWithFileName:(NSString *)fileName
                          fileData:(NSData *)data
                            result:(void(^)(BOOL result))result
                          progress:(void(^)(NSProgress * progress))progress;

- (void)rX:(NSData *)readData;
@end

